Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Lightweight Bartering Grid
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## lbg.protocol.rpc
Enum RemoteCall.CallType

    java.lang.Object
      java.lang.Enum<RemoteCall.CallType>
          lbg.protocol.rpc.RemoteCall.CallType

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<RemoteCall.CallType>

Enclosing class:
  RemoteCall

    public static enum RemoteCall.CallType

extends java.lang.Enum<RemoteCall.CallType>

Who do we make the call to ?

Enum Constant Summary
`PEER`
`RESOURCE`
`SEARCH`
`USER`

Method Summary
`static RemoteCall.CallType` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static RemoteCall.CallType[]` | `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### PEER

    public static final RemoteCall.CallType PEER

### USER

    public static final RemoteCall.CallType USER

### RESOURCE

    public static final RemoteCall.CallType RESOURCE

### SEARCH

    public static final RemoteCall.CallType SEARCH

Method Detail

### values

    public static final RemoteCall.CallType[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(RemoteCall.CallType c : RemoteCall.CallType.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static RemoteCall.CallType valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Lightweight Bartering Grid
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

> Copyright (c) 2005-2008, Cyril Briquet, parts Xavier Dalem.